# Luakit Documentation / Modules / userscripts

# Module `userscripts`

Userscript support for luakit

Evaluates and manages userscripts. JavaScript userscripts must end in `.user.js`

## Files and Directories

- Userscript files should be placed in the `scripts` sub-directory of the luakit data directory, and must have a filename ending in `.user.js`.

## Functions

### userscripts.save (file, js)

Save a userscript to a file.

#### Parameters

- file
  Type: string
  The file path in which to save the userscript.
- js
  Type: string
  The userscript contents.

### userscripts.del (file)

Delete a userscript file.

#### Parameters

- file
  Type: string
  The file path of the userscript to remove.

## Properties

### userscripts.dir

Type: string
Read-only
The directory in which to search for userscripts. By default, this is the `scripts` directory in the luakit data directory.

## Attribution

#### Copyright

- 2011 Constantin Schomburg
- 2010 Fabian Streitel
- 2010 Mason Larobina